List Registry Credentials
Retrieve all registry credentials the user has access to. All users have read access to foundation-scoped registry credentials. All Org Users have read access to respective organization-scoped registry credentials. Users must have a Space specific role for read access to space-scoped registry credentials.
Page to display; valid values are integers >= 1
1
Number of results per page, valid values are 1 through 5000
50
Value to sort by. Defaults to ascending; prepend with - to sort descending.
created_at
Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.
2021-01-01T00:00:00Z
Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.
2021-01-01T00:00:00Z
A query string containing a list of label selector requirements
environment=production
Comma-delimited list of registry credential guids to filter by
Comma-delimited list of app guids to filter by
Comma-delimited list of space guids to filter by
Comma-delimited list of organization guids to filter by
Comma-delimited list of scopes to filter by
Comma-delimited list of locations to filter by
OK
{
"total_results": 0,
"total_pages": 0,
"first": {
"href": "string",
"method": "string"
},
"last": {
"href": "string",
"method": "string"
},
"next": {
"href": "string",
"method": "string"
},
"previous": {
"href": "string",
"method": "string"
},
"resources": [
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"location": "string",
"username": "string",
"scope": "string",
"relationships": {
"organization": {
"data": {
"guid": "string"
}
},
"space": {
"data": {
"guid": "string"
}
},
"app": {
"data": {
"guid": "string"
}
}
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"app": {
"href": "string",
"method": "string"
},
"organization": {
"href": "string",
"method": "string"
},
"space": {
"href": "string",
"method": "string"
}
}
}
]
}
Bad Request
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Unauthorized
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Forbidden
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Unprocessable Entity
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Internal Server Error
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Bad Gateway
{
"code": 0,
"detail": "string",
"title": "string"
}
A numeric code for this error
Detailed description of the error
Name of the error
Service Unavailable
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
curl -H 'Authorization: <value>' https://{api_host}/v3/registry_credentials